Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageSendOptions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSendOptions

Enclosing class:
  TdApi

public static final class TdApi.MessageSendOptions extends TdApi.Object
Options to be used when a message is sent.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`disableNotification`
Pass true to disable notification for the message.
`boolean`
`fromBackground`
Pass true if the message is sent from the background.
`TdApi.MessageSchedulingState`
`schedulingState`
Message scheduling state; pass null to send message immediately.

## Constructor Summary

Constructors
Constructor
Description
`MessageSendOptions()`
Options to be used when a message is sent.
`MessageSendOptions(boolean disableNotification, boolean fromBackground, TdApi.MessageSchedulingState schedulingState)`
Options to be used when a message is sent.
`MessageSendOptions(DataInput input)`
Options to be used when a message is sent.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### disableNotification

public boolean disableNotification
Pass true to disable notification for the message.

### fromBackground

public boolean fromBackground
Pass true if the message is sent from the background.

### schedulingState

public TdApi.MessageSchedulingState schedulingState
Message scheduling state; pass null to send message immediately. Messages sent to a secret chat, live location messages and self-destructing messages can't be scheduled.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageSendOptions

public MessageSendOptions()
Options to be used when a message is sent.

### MessageSendOptions

public MessageSendOptions(boolean disableNotification, boolean fromBackground, TdApi.MessageSchedulingState schedulingState)
Options to be used when a message is sent.

Parameters:
  `disableNotification` - boolean Pass true to disable notification for the message.
  `fromBackground` - boolean Pass true if the message is sent from the background.
  `schedulingState` - MessageSchedulingState Message scheduling state; pass null to send message immediately. Messages sent to a secret chat, live location messages and self-destructing messages can't be scheduled.

### MessageSendOptions

public MessageSendOptions(DataInput input) throws IOException
Options to be used when a message is sent.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`